Bouncy Castle Cryptography Library 1.40

## org.bouncycastle.tsp
Class TSPUtil

    java.lang.Object
      org.bouncycastle.tsp.TSPUtil

    public class TSPUtil

extends java.lang.Object

Constructor Summary
`TSPUtil()`

Method Summary
`static void` `validateCertificate(java.security.cert.X509Certificate cert)` Validate the passed in certificate as being of the correct type to be used for time stamping.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TSPUtil

    public TSPUtil()

Method Detail

### validateCertificate

    public static void validateCertificate(java.security.cert.X509Certificate cert)
                                    throws TSPValidationException

  Validate the passed in certificate as being of the correct type to be used for time stamping. To be valid it must have an ExtendedKeyUsage extension which has a key purpose identifier of id-kp-timeStamping.

  Parameters:
    `cert` - the certificate of interest.
  Throws:
    `TSPValidationException` - if the certicate fails on one of the check points.

Bouncy Castle Cryptography Library 1.40